package com.mjitech.qa.test;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.http.client.ClientProtocolException;
import org.testng.annotations.Test;

import com.mjitech.qa.data.MicroMedineceData;
import com.mjitech.qa.model.OrderData;
import com.mjitech.qa.model.RequestData;
import com.mjitech.qa.service.BaseService;

import net.sf.json.JSONObject;
public class MicroMedinece {
	BaseService service = new BaseService();
	JSONObject json = JSONObject.fromObject("{}");
	
	
	
	/**
	 * 下单(执行完之后，订单状态是待支付)-管
	 * @param skuId
	 * @param skuCount
	 * @param price
	 * @param warehouseId
	 * @param tokenId
	 * @date 2020-4-20   2073
	 * @result {"code":"200","message":"成功","success":true},"data":{"orderNumber":"S6845845536"}}
	 * */
	//@Test(dataProvider="add_orderAction",dataProviderClass=MicroMedineceData.class)
	public void add_orderAction(int warehouseId,String tokenId) {
		List<OrderData> list = new ArrayList<OrderData>();
		OrderData orderData = new OrderData();
		orderData.setPrice(0.01);
		orderData.setSkuCount(1);
		orderData.setSkuId(103);
		list.add(orderData);
		String url = "https://test.mjitech.com/web/weiyi_api/add_order.action?supplierId=wy001" ;
		json.put("warehouseId", warehouseId);
		json.put("tokenId",tokenId);//第三方提供
		json.put("orderData",list);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"add_order.action");
			System.out.println("下单接口："+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}
    
	
	/**
	 * 支付成功(支付成功未取货状态)-管
	 * @param orderNumber 订单编号
	 * @author gangwang
	 * @date 2020-04-20
	 * @result {"meta":{"code":"200","message":"成功","success":true},"data":{"takeUrl":"https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx0aea8f497e298646&redirect_uri=https%3A%2F%2Ftest.mjitech.com%2Fweb%2Fwxauthorize.action&response_type=code&scope=snsapi_base&state=taking_goods_2466346688#wechat_redirect"}}
	 * */
//	@Test(dataProvider="pay_successAction",dataProviderClass=MicroMedineceData.class)
	public void pay_successAction(String orderNumber) {
		String url = "https://test.mjitech.com/web/weiyi_api/pay_success.action?supplierId=wy001" ;
		json.put("orderNumber", orderNumber);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"pay_success.action");
			System.out.println("下单接口：" + result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}
	
	/**
	 * 获取订单的订单状态及实际出货信息-贾
	 * @param warehouseId 机器id
	 * @param orderNumber 订单编号
	 * @author gangwang
	 * @date 2020-04-20
	 * @result 1)已支付未出货{"meta":{"code":"200","message":"成功","success":true},"data":{"outBatchSkuList":[],"orderStatus":"未取货"}}
	 * 2)已出货{"meta":{"code":"200","message":"成功","success":true},"data":{"outBatchSkuList":[{"id":112383,"begin":0,"perpage":0,"sort":null,"sortDir":null,"creator":0,"updator":0,"createDatetime":1582194369000,"updateDatetime":1582194390000,"deleteMark":0,"sellOrderId":84720,"sellOrderSkuId":123343,"sellOrder":null,"outBatchId":69655,"originalBatchSkuId":0,"skuId":2243,"count":1,"outStatus":3,"outStatusDesc":"已出货","sellOrderSku":null,"skuPassEntityId":104223,"skuPassVo":null,"sku":null,"allOriginalOutBatchSkus":null,"exchangedSellOrderId":0,"realPrice":0,"isPresent":0,"activityType":"","activityId":0}],"orderStatus":"已取货"}}
	 * */
//	@Test(dataProvider="get_out_batchAction",dataProviderClass=MicroMedineceData.class)
	public void get_out_batchAction(String warehouseId,String orderNumber) {
		String url = "https://test.mjitech.com/web/weiyi_api/get_out_batch.action?supplierId=wy001" ;
		json.put("warehouseId", warehouseId);
		json.put("orderNumber", orderNumber);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"get_out_batch.action");
			System.out.println("获取订单的订单状态及实际出货信息："+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
		
	}
	
	/**
	 * 取消订单（ 取消恢复可售，订单状态变为已取消）-管
	 * @param orderNumber 订单编号
	 * @author gangwang
	 * @date 2020-04-20
	 * @result {"meta":{"code":"200","message":"成功","success":true},"data":true} 
	 * */
	//@Test(dataProvider="cancel_orderAction",dataProviderClass=MicroMedineceData.class)
	public void cancel_orderAction(String warehouseId,String orderNumber) {
		String url = "https://test.mjitech.com/web/weiyi_api/cancel_order.action?supplierId=wy001" ;
		json.put("warehouseId", warehouseId);
		json.put("orderNumber", orderNumber);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"cancel_order.action");
			System.out.println("获取订单的订单状态及实际出货信息："+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}
	
	
	/**
	 * 获取门店补货明细接口-管勇志
	 * @author gangwang
	 * @date 2020-04-17
	 * **/
//	@Test(dataProvider="get_finish_addrAction",dataProviderClass=MicroMedineceData.class)
	public void get_finish_addrAction(String warehouseId, String fromDate,String toDate) {
		String url = "http://test.mjitech.com/web/weiyi_api/get_finish_addr.action?supplierId=wy001" ;
		json.put("warehouseId", warehouseId);
		json.put("fromDate",fromDate);
		json.put("toDate",toDate);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"get_finish_addr.action");
			System.out.println("获取门店补货明细接口"+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}
	
	
	/**
	 * 获取当前门店商品库存信息-贾碧霄
	 * @param warehouseId 机器id
	 * @param skuId  skuID(商品id) 选填（如果填了skuid则查询当前sku库存，否则查询当前门店所有sku库存信息）
	 * @author gangwang
	 * @date 2020-04-20
	 * {"meta":{"code":"200","message":"系统错误,请稍后再试","success":false},"data":null}
	 * */
//	@Test(dataProvider="get_inventoryAction",dataProviderClass=MicroMedineceData.class)
	public void get_inventoryAction(int warehouseId,int skuId) {
		String url = "http://test.mjitech.com/web/weiyi_api/get_inventory.action?supplierId=wy001" ;
		json.put("warehouseId", warehouseId);
		json.put("skuId",skuId);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"get_inventory.action");
			System.out.println(result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	
	}
	
	/**
	 * 获取门店补货请求接口（未处理状态下）
	 * @author gangwang
	 * @date 2020-04-17
	 * */
	@Test(dataProvider="get_request_data",dataProviderClass=MicroMedineceData.class)
	public void get_request_data(int[] warehouseIds) {
		String url = "http://test.mjitech.com/web/weiyi_api/get_request_data.action?supplierId=wy001" ;
		json.put("warehouseIds", warehouseIds);
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"get_request_data.action");
			System.out.println("获取补货请求接口" + result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		
	}
	
	/**
	 * 保存分拣单-管勇志
	 * @author gangwang
	 * @param requestId  补货请求id
	 * @param skuId   商品id
	 * @param requestQuantity 请求商品数量
	 * @param lotDate 批次日期
	 * @param deliveryId 配送单号
	 * @date 2020-04-20
	 * {"meta":{"code":"200","message":"成功","success":true},"data":true}
	 * 
	 * 数据依托获取门店补货请求接口中接口返回的数据 get_request_data()
	 */
//	@Test(dataProvider="save_picking_dataAction",dataProviderClass=MicroMedineceData.class)	
	public void save_picking_dataAction(int requestId,int skuId, int requestQuantity,String lotDate,String deliveryId) {
		List<RequestData> list = new ArrayList<RequestData>() ;
		String url = "https://test.mjitech.com/web/weiyi_api/save_picking_data.action?supplierId=wy001" ;
		for (int i = 0; i < 1; i++) {
			RequestData data = new RequestData() ;
			data.setRequestId(requestId);
			data.setSkuId(skuId);
			data.setRequestQuantity(requestQuantity);
			data.setLotDate(lotDate);//第三给的
			list.add(data);
		}
		json.put("requestData", list);
		json.put("deliveryId",deliveryId);		//需要第三方提供
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"save_picking_data.action");
			System.out.println(""+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	/**
	 * 药品批次核对查看
	 * @param orderNumber 订单号
	 * @param batchId  
	 * */
//	@Test(dataProvider="check_batch_viewAction",dataProviderClass=MicroMedineceData.class)
	public void check_batch_viewAction(String orderNumber,String batchId) {
		String url = "https://test.mjitech.com/web/weiyi_api/check_batch_view.action?supplierId=wy001" ;		
		json.put("orderNumber", orderNumber);
		json.put("batchId",batchId);		
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"check_batch_view.action");
			System.out.println(""+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	
	}
	
	/**
	 * 药品批次核对
	 * @param orderNumber 订单号
	 * @param batchId 出货批次ID
	 * */
//	@Test(dataProvider="check_batchAction",dataProviderClass=MicroMedineceData.class)
	public void check_batchAction(String orderNumnber,String batch) {
		String url = "https://test.mjitech.com/web/weiyi_api/check_batch.action?supplierId=wy001" ;
		json.put("orderNumber", orderNumnber);
		json.put("batchId",batch);		
		try {
			JSONObject result = service.httppostMicroMedineceReturnJson(url,json.toString(),"check_batch.action");
			System.out.println(""+result);
		} catch (ClientProtocolException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	
	
	
	
	
	
	
	
	
	


}

